Update latest Journey Application by External Application ID

This endpoint allows you to update the latest (i.e. most recently created) Application associated with the supplied External Application ID. If the journeyToken query parameter is provided, the retrieved Application will be the latest Application associated with that particular Journey and the External Application ID. The use cases for the endpoint are elaborated in the regular "Update Journey Application" endpoint.

Path Params
string
required

External application identifier

Query Params
string
enum

If this value is true, each event of type completed_evaluation in the array at response._embedded._events includes the full evaluation response.

Allowed:
string

Optional journey token filter

Body Params
boolean

If the parameter do_await_additional_entities was set to true in the POST request to create the journey application, sending this value as true informs the system that all additional entities have been sent in.

entities
array

List of entities that can refer either of the following, or a mix of both:

  • Option 1: Adding new entities
    • This option is valid in the case where the parameter do_await_additional_entities was set to true in the POST request to create the journey application.
    • The parameters for this option are exactly the same as the entity object in the POST request to create the journey application.
  • Option 2: Updating data for an existing person entity
    • This option is valid in the case where the entity's application status is data_request.
    • For multi-entity applications, the entity application must be identified by using at least one of the following parameters: external_entity_id, entity_application_token, or entity_token. See those parameters' descriptions for more detail.
    • For single entity applications, no entity identifier is necessary.
    • The data in the field data is recursively merged with the existing data object for the entity (i.e., the data passed in the POST request and the previous requests to this endpoint, if any).
  • Option 3: Associating documents for an existing person entity
    • This option is valid in the case where the entity's application status is pending_step_up or pending_documents (legacy).
entities
Headers
boolean

This endpoint returns a synchronous response by default. If you would like to override this behavior and get an asynchronous response back immediately, send the header alloy-journey-override-sync as true.

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json